ALSA project - the C library reference

Loading...
Searching...
No Matches
Functions
control_remap.c File Reference

CTL Remap Plugin Interface. More...

## Functions
int | snd_ctl_remap_open (snd_ctl_t **handlep, const char *name, snd_config_t *remap, snd_config_t *map, snd_config_t *sync, snd_ctl_t *child, int mode)
| Creates a new remap/map/sync control handle.
int | _snd_ctl_remap_open (snd_ctl_t **handlep, char *name, snd_config_t *root, snd_config_t *conf, int mode)
| Creates a new remap & map control plugin.

## Detailed Description

CTL Remap Plugin Interface.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2021-2025

## Function Documentation

## ◆ _snd_ctl_remap_open()

int _snd_ctl_remap_open | ( | snd_ctl_t ** | handlep,
|  | char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | int | mode )

Creates a new remap & map control plugin.

Parameters

  handlep | Returns created control handle
  name | Name of control
  root | Root configuration node
  conf | Configuration node with control remap description
  mode | Control handle mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

## ◆ snd_ctl_remap_open()

int snd_ctl_remap_open | ( | snd_ctl_t ** | handlep,
|  | const char * | name,
|  | snd_config_t * | remap,
|  | snd_config_t * | map,
|  | snd_config_t * | sync,
|  | snd_ctl_t * | child,
|  | int | mode )

Creates a new remap/map/sync control handle.

Parameters

  handlep | Returns created control handle
  name | Name of control device
  remap | Remap configuration
  map | Map configuration
  sync | Sync configuration
  child | child configuration root
  mode | Control handle mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.